aboutsummaryrefslogtreecommitdiff
path: root/aux/checks/changelog.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-04-03 17:28:05 -0300
committerEuAndreh <eu@euandre.org>2023-04-03 17:28:05 -0300
commit94ad2acead5b2c070d6f1427e2531b1dfdce615d (patch)
tree049e5d8eaf6b4942f02fb0f0b102bf7787072afb /aux/checks/changelog.sh
parentTODOs.md: Embed contents of "FIXME" file (diff)
downloadremembering-94ad2acead5b2c070d6f1427e2531b1dfdce615d.tar.gz
remembering-94ad2acead5b2c070d6f1427e2531b1dfdce615d.tar.xz
re 's/TLD/DOMAIN/g'
Diffstat (limited to 'aux/checks/changelog.sh')
-rwxr-xr-xaux/checks/changelog.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/aux/checks/changelog.sh b/aux/checks/changelog.sh
index ee10549..a73baec 100755
--- a/aux/checks/changelog.sh
+++ b/aux/checks/changelog.sh
@@ -20,7 +20,7 @@ shift $((OPTIND - 1))
. aux/lib.sh
-HOMEPAGE_LINK="Changelog for [$NAME](https://$TLD/$NAME/en/)."
+HOMEPAGE_LINK="Changelog for [$NAME](https://$DOMAIN/$NAME/en/)."
if ! grep -qF "$HOMEPAGE_LINK" CHANGELOG.md; then
echo "Missing link to homepage in CHANGELOG.md:" >&2
@@ -34,7 +34,7 @@ assert() {
VERSION="${2#v}"
CHANGELOG_ENTRY="$(printf \
'# [%s](https://%s/git/%s/commit/?id=%s) - %s' \
- "$VERSION" "$TLD" "$NAME" "$VVERSION" "$DATE")"
+ "$VERSION" "$DOMAIN" "$NAME" "$VVERSION" "$DATE")"
if ! grep -qF "$CHANGELOG_ENTRY" CHANGELOG.md; then
echo "Missing '$CHANGELOG_ENTRY' entry from CHANGELOG.md" >&2
exit 1